<template lang="pug">
	-
		var lista_mba = [
			{
				titulo:"Maestría en Administración de Negocios - Executive MBA",
				fecha: "16 Mar",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Múltiples horarios"
			},{
				titulo:"Maestría Ciencias Empresariales",
				fecha: "11 May y 14 Set",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Jueves y Sábado"
			},{
				titulo:"MBA UQÀM",
				fecha: "24 Ago",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Múltiples horarios"
			}
		]

		var lista_especial = [
			{
				titulo:"Maestría en Educación: Gestión de la Educación",
				fecha: "16 Mar",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Múltiples horarios"
			},{
				titulo:"Maestría en Gestión de Negocios de Nutrición",
				fecha: "11 May y 14 Set",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Jueves y Sábado"
			},{
				titulo:"Maestría en Diseño Gráfico",
				fecha: "24 Ago",
				tiempo: "20 meses",
				lugar: "La Molina",
				horario: "Múltiples horarios"
			}
		]

	#maestrias
		.portada
			img(src="~/assets/img/portada-maestrias.jpg", alt="")

		.titular.seccion: .contenedor
			h1 Maestrías
			p #[Strong Emprendimiento, Investigación y Desarrollo, Sostenibilidad y Globalización] son los pilares en los que se basan los programas de la Escuela de Postgrado de la Universidad San Ignacio de Loyola.


		.contenido.seccion: .contenedor
			ul

				li
					img(src="~/assets/img/ico-2o.svg", alt="")
					strong Lorem ipsum dolor sit amet, consectetur adipiscing elit.
					span In dolor volutpat sed phasellus condimentum nisi. Duis leo arcu cras lacus dictum ut cursus.


				li
					img(src="~/assets/img/ico-estudiante-blanco.svg", alt="")
					strong Pulvinar ac nam sed id dictum.
					span Consectetur tincidunt pellentesque sem condimentum nisi, in ultrices fringilla. Suscipit sagittis commodo.

				li
					img(src="~/assets/img/ico-2o.svg", alt="")
					strong Cras pretium lobortis lectus scelerisque nibh nunc diam.
					span Sed proin tortor est adipiscing nibh. Quam a quis cursus lectus. Dolor nunc consequat orci elementum turpis.

				li
					img(src="~/assets/img/ico-estudiante-blanco.svg", alt="")
					strong Adipiscing ligula sapien mi morbi gravida sollicitudin.
					span In dolor volutpat sed phasellus in. Quam a quis cursus lectus.

		.busqueda.seccion: .contenedor
			form.barra
				.campo
					input(type="search", name="termino", placeholder="Buscar")
				.campo
					label especialidad
					select()
						option(val="0") todos
						option(val="1") alguno
						option(val="2") ninguno
				.campo
					label especialidad
					select()
						option(val="0") todos
						option(val="1") alguno
						option(val="2") ninguno

			.listado
				.categoria
					h2 MBA
					.lista
						each item in lista_mba
							a.item(href="#")
								.info
									.titulo= item.titulo
									.fecha= item.fecha
									.tiempo= item.tiempo
								.detalles
									.lugar= item.lugar
									.horario= item.horario

				.categoria
					h2 Maestrías Especializadas
					.lista
						each item in lista_especial
							a.item(href="#")
								.info
									.titulo= item.titulo
									.fecha= item.fecha
									.tiempo= item.tiempo
								.detalles
									.lugar= item.lugar
									.horario= item.horario






</template>

<style lang="stylus">

gris = #C6C6C6;
#maestrias

	.portada
		img
			width 100%
			@media (max-width: 768px)
				width: 95%
				margin: 0 auto

	.titular
		@media (min-width: 768px)
			background: #FFFFFF;
			position relative
			z-index 1
			margin -1rem 0 0
			border-radius 1rem
			padding 5rem 2rem

		.contenedor
			@media (min-width: 768px)
				max-width 1280px
				align-items stretch
				flex-direction column
				text-align center

		h1
			flex 0 0 auto

			font-weight: bold;
			font-size: 60px;
			line-height: 125%;
			letter-spacing: -0.015em;
			text-transform: uppercase;
			color: #00195A;
			margin 0 0 4rem
			position relative
			@media (max-width: 768px)
				font-size: 36px
				margin: 3rem 0
				text-align: center

			&::after
				content: ""
				display: block
				position: absolute
				bottom 0
				right 0
				width: 87.25px;
				height: 7.87px;
				background: #00195A;
				@media (max-width: 768px)
					content: none

		p
			color #4C4B5C
			font-weight: 300;
			font-size: 20px;
			line-height: 150%;
			margin: 0 auto
			max-width 640px
			letter-spacing: -0.022em;
			@media (max-width: 768px)
				font-size: 18px
				text-align: center


			strong
				font-weight: bold;
				color: #2AB7C6;

	.contenido
		color white
		margin 0 0 8rem
		@media (max-width: 768px)
			display: none

		.contenedor
			padding 4rem 2rem
			background: #2AB7C6;
			border-radius: 16px;
			max-width 1280px;

		ul
			padding 0 3rem;
			display grid
			grid-gap 3rem
			list-style none
			grid-template-columns: repeat( auto-fit, minmax(120px, 1fr));


			li
				display: block

				img
					margin-bottom 1em

	.busqueda

		.contenedor
			padding 0 0
			display: block
			background: alpha(#2AB7C6, 8%);
			border-radius: 6px 6px 0 0;
			max-width 1280px;
			@media (max-width: 768px)
				margin-top: 115px

		.barra
			display: grid
			max-width 966px
			flex 1 1 100%
			margin 1rem auto

			background: #FFFFFF;
			box-shadow: 0px 8px 24px rgba(0, 25, 90, 0.1);
			border-radius: 6px;
			padding 1.25rem 2rem
			grid-gap 1.5rem
			grid-template-columns 1fr minmax(100px, 250px) minmax(100px, 250px)
			align-items end
			transform translateY(-50%)
			margin-bottom -3rem
			@media (max-width: 768px)
				grid-template-columns minmax(100px, 250px) minmax(100px, 250px)

			.campo
				&:nth-child(1)
					@media (max-width: 768px)
						display: none

			label
				display: block
				font-size: 12px;
				line-height: 150%;

				letter-spacing: -0.015em;
				text-transform: uppercase;

				color: #4C4B5C;
				opacity: 0.6;
				margin-bottom .5em

			input
				display: block
				width 100%
				background: #FFFFFF;
				border none
				border-bottom 2px solid #C7C7D3;
				font-size: 16px;
				line-height: 150%;

				letter-spacing: 0.02em;
				text-decoration-line: none;
				text-transform: capitalize;

				color: #0B2E88;


				&[type="search"]
					background-image url("~@/assets/img/ico-buscar-celeste.svg")
					background-repeat no-repeat
					background-position 90% center
					@media (max-width: 768px)
						display: none

			select
				text-transform uppercase
				background: #FFFFFF;
				border-radius: 0;
				width 100%
				border none

				border-bottom 2px solid #C7C7D3;
				box-sizing: border-box;
				border-radius: 0;
				background-image url("~@/assets/img/chevron-sur-celeste.svg")
				background-repeat no-repeat
				background-position 95% center

				font-weight: bold;
				font-size: 16px;
				line-height: 150%;

				letter-spacing: 0.02em;
				text-decoration-line: none;
				text-transform: capitalize;

				color: #0B2E88;


				option
					text-transform uppercase

	.busqueda.seccion
		@media (max-width: 768px)
			padding: 0 0.5rem

	.listado
		padding 1rem 2rem
		max-width 966px
		flex 1 1 100%
		margin 1rem auto 0
		@media (max-width: 768px)
			padding 1rem 1rem

		h2
			text-transform uppercase
			// font-family: Anton;
			font-style: normal;
			font-weight: 600;
			font-size: 28px;
			line-height: 135%;
			letter-spacing: -0.015em;
			text-transform: uppercase;

			color: #9F9FAE;
			opacity: 0.9;
			@media (max-width: 768px)
				font-size: 24px


		.lista
			margin-bottom 1rem


		.categoria
			margin 0 0 5rem

		.item
			margin-bottom .9rem
			padding .4rem
			background: #FFFFFF;
			border-radius: 6px;
			display block

			.info
				display grid
				grid-template-areas "titulo fecha" "titulo tiempo"
				grid-template-columns minmax(100px, 600px) auto
				justify-content space-between
				padding .6 rem
				border-bottom: 1px dashed #9F9FAE;
				grid-gap .5rem

			.titulo
				grid-area titulo
				font-weight: bold;
				font-size: 20px;
				line-height: 135%;

				letter-spacing: -0.015em;
				text-transform: uppercase;

				color: #2AB7C6;
				@media (max-width: 768px)
					font-size: 16px

			.fecha
				grid-area fecha
				text-align right
				font-weight: 600;
				font-size: 20px;
				line-height: 150%;

				text-align: right;
				letter-spacing: -0.015em;
				text-decoration-line: underline;

				color: #0B2E88;


			.tiempo
				grid-area tiempo
				font-size: 14px;
				line-height: 150%;
				text-align: right;
				letter-spacing: -0.015em;
				color: #9F9FAE;


			.detalles
				display flex
				justify-content space-between
				padding .6rem

			.lugar
			.horario
				font-size: 13px;
				line-height: 150%;
				letter-spacing: -0.015em;
				color: #9F9FAE;



</style>
